function printDistributionStatistic(dataStatistic, figureName)
% print some information on the selected point cloud

%
figure('name', figureName)
nDim = size(dataStatistic.binValueMatrix, 1);

% dimsplay bins
% subplotMatrix = [1 1;2 1;3 1;4 1;1 2;2 2;3 2];
yMax = max(dataStatistic.binValueMatrix(:));
xMax = max(dataStatistic.binCenterVector);
xMin = min(dataStatistic.binCenterVector);
for iDim = 1:nDim
    subplot(4,2,iDim)
    plot(dataStatistic.binCenterVector, ...
         dataStatistic.binValueMatrix(iDim, :), 'b.-')
    ylabel(['h_{C, ' num2str(iDim) '}'])
    ylim([0 yMax]);
    xlim([xMin xMax]);
end


%% projection onto time axis
% create bin data
subplot(4, 2, nDim+1)
plot(dataStatistic.timeVector, dataStatistic.timeValueVector, 'kd')
ylabel('time')